package com.enteprise.etype.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * etype对象 enterprise_type
 * 
 * @author ljx
 * @date 2025-02-07
 */
public class EnterpriseType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分类编码 */
    @Excel(name = "分类编码")
    private Long number;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String name;

    public void setNumber(Long number) 
    {
        this.number = number;
    }

    public Long getNumber() 
    {
        return number;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("number", getNumber())
            .append("name", getName())
            .toString();
    }
}
